Flow Steps

Order

post

Order for order.

Authorizations
Path parameters
flowStepstringRequired

The flowStep identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flow-steps/{flowStep}/routes/order

Index

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • flowStep

  • flowStep_count

  • flowStepExists

  • filters

  • filters_count

  • filtersExists

  • firstStep

  • firstStep_count

  • firstStepExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • step_id

Authorizations
Path parameters
flow_stepstringRequired

The flow step identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flow-steps/{flow_step}/routes

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

first_step_id

filter_logic_operator

string

Authorizations
Path parameters
flow_stepstringRequired

The flow step identifier.

Body
first_step_idstring · nullableOptional
filter_logic_operatorstringOptional
namestring · min: 1 · max: 255Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/flow-steps/{flow_step}/routes

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

first_step_id

filter_logic_operator

string

Authorizations
Path parameters
flow_stepstringRequired

The flow step identifier.

routestringRequired

The route identifier.

Body
first_step_idstring · nullableOptional
filter_logic_operatorstringOptional
namestring · min: 1 · max: 255Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/flow-steps/{flow_step}/routes/{route}

Destroy

delete

Delete a route.

Authorizations
Path parameters
flow_stepstringRequired

The flow step identifier.

routestringRequired

The route identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/flow-steps/{flow_step}/routes/{route}

Last updated

Was this helpful?